#
# spec file for package libqt5-qtbase
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0
%define journald 0

Name:           libqt5-qtbase
Version:        5.3.2
Release:        3.2
Summary:        C++ Program Library, Core Components
License:        GPL-3.0 or SUSE-LGPL-2.1-with-digia-exception-1.1
Group:          System/Libraries
Url:            http://qt.digia.com
%define base_name libqt5
%define real_version 5.3.2
%define so_version 5.3.2
%define tar_version qtbase-opensource-src-%{real_version}
Source:         %{tar_version}.tar.xz
# to get mtime of file:
Source1:        libqt5-qtbase.changes
Source2:        macros.qt5
Source3:        baselibs.conf
# patches 0-1000 are openSUSE and/or non-upstream(able) patches #
# PATCH-FIX-UPSTREAM libqt5-libtool-nodate.diff -- for ommiting date/time on build
Patch0:         libqt5-libtool-nodate.diff
# PATCH-FIX-UPSTREAM qmake-add-usr-include.diff -- explicitly include /usr/include path
Patch1:         qmake-add-usr-include.diff
# PATCH-FIX-UPSTREAM use-freetype-default.patch -- allow using lcd-default filter regardless of how freetype2 library has been built (w/ & w/o subpixel)
Patch2:         use-freetype-default.patch
# PATCH-FIX-SUSE libqt5-Fix-Gujarati-font.patch bnc#878292 fix broken Gujarati font rendering
Patch3:         libqt5-Fix-Gujarati-font.patch
# PATCH-FIX-UPSTREAM protect-geometry-QTBUG-40584.patch -- https://bugreports.qt-project.org/browse/QTBUG-40584
Patch4:         protect-geometry-QTBUG-40584.patch
# Patch-FIX-SUSE libqt5-do-not-use-shm-if-display-name-doesnt-look-local.patch -- bnc#888858
Patch5:         libqt5-do-not-use-shm-if-display-name-doesnt-look-local.patch
# PATCH-FIX-OPENSUSE QTBUG41590.patch -- https://bugreports.qt-project.org/browse/QTBUG-40971 https://bugreports.qt-project.org/browse/QTBUG-41590
Patch6:         QTBUG41590.patch
# patches 1000-2000 and above from upstream 5.3 branch #
# patches 2000-3000 and above from upstream 5.4 branch #
# PATCH-FIX-UPSTREAM f1ee10f81ac18789e9a7dc715b464415ba2bc2b8.patch -- prefer QPA implementation in qsystemtrayicon_x11 if available
Patch2000:      f1ee10f81ac18789e9a7dc715b464415ba2bc2b8.patch
# PATCH-FIX-UPSTREAM libqt5-add-support-for-byte-swapping.patch -- add support for byte swapping(bnc#866709), currently it's at the upstream dev branch
Patch2001:      libqt5-add-support-for-byte-swapping.patch
# PATCH-FIX-UPSTREAM libqt5-byte-order-byte-is-address0.patch -- the byte order byte is at address 0(bnc#866709), currently it's at the upstream dev branch
Patch2002:      libqt5-byte-order-byte-is-address0.patch
# PATCH-FIX-UPSTREAM 00010-Replace-the-const-QString-global-static-with-a-QStri.patch
Patch2003:      00010-Replace-the-const-QString-global-static-with-a-QStri.patch
# PATCH-FIX-UPSTREAM 00011-Use-correct-signal-name-when-disconnecting.patch
Patch2004:      00011-Use-correct-signal-name-when-disconnecting.patch
# PATCH-FIX-UPSTREAM 0001-QFileDialog-emit-urlsSelected-urlSelected-in-accept.patch
Patch2005:      0001-QFileDialog-emit-urlsSelected-urlSelected-in-accept.patch
# PATCH-FIX-UPSTREAM 0002-QUrl-fromLocalFile-QString-should-lead-to-an-empty-U.patch
Patch2006:      0002-QUrl-fromLocalFile-QString-should-lead-to-an-empty-U.patch
# PATCH-FIX-UPSTREAM 0003-QFileDialog-turn-workingDirectory-into-a-QUrl.patch
Patch2007:      0003-QFileDialog-turn-workingDirectory-into-a-QUrl.patch
# PATCH-FIX-UPSTREAM 0004-QFileDialog-implement-getOpenFileUrl-and-friends-for.patch
Patch2008:      0004-QFileDialog-implement-getOpenFileUrl-and-friends-for.patch
# PATCH-FIX-UPSTREAM 0001-QKdeTheme-use-system-wide-kdeglobals-as-a-fallback.patch
Patch2009:      0001-QKdeTheme-use-system-wide-kdeglobals-as-a-fallback.patch
# PATCH-FIX-UPSTREAM 0001-Add-QFont-strategy-to-disable-subpixel-antialiasing.patch
Patch2010:      0001-Add-QFont-strategy-to-disable-subpixel-antialiasing.patch
# PATCH-FIX-UPSTREAM 0002-Move-SubpixelAntialiasingType-from-QFontEngineFT-to-.patch
Patch2011:      0002-Move-SubpixelAntialiasingType-from-QFontEngineFT-to-.patch
# PATCH-FIX-UPSTREAM 0003-Support-autohint-and-lcdfilter-fontconfig-configurat.patch
Patch2012:      0003-Support-autohint-and-lcdfilter-fontconfig-configurat.patch
# PATCH-FIX-UPSTREAM 0004-GTK2-theme-should-use-GTK-configured-font-variant.patch
Patch2013:      0004-GTK2-theme-should-use-GTK-configured-font-variant.patch
# PATCH-FIX-UPSTREAM 0001-Allow-panels-outside-of-availableGeometry.patch
Patch2014:      0001-Allow-panels-outside-of-availableGeometry.patch
# PATCH-FIX-UPSTREAM 0002-Always-lock-the-DBus-dispatcher-before-dbus_connecti.patch
Patch2015:      0002-Always-lock-the-DBus-dispatcher-before-dbus_connecti.patch
# PATCH-FIX-UPSTREAM 0003-QDBusConnection-Merge-the-dispatch-and-the-watch-and.patch
Patch2016:      0003-QDBusConnection-Merge-the-dispatch-and-the-watch-and.patch
# PATCH-FIX-UPSTREAM 0004-Partially-revert-Fix-a-deadlock-introduced-by-the-ra.patch
Patch2017:      0004-Partially-revert-Fix-a-deadlock-introduced-by-the-ra.patch
# PATCH-FIX-UPSTREAM Fix-use-after-free-bug.patch
Patch2018:      Fix-use-after-free-bug.patch
# PATCH-FIX-UPSTREAM libqt5-Fix-a-division-by-zero-processing-malformed-BMP.patch -- QTBUG-44547, bsc#921999
Patch2019:      libqt5-Fix-a-division-by-zero-processing-malformed-BMP.patch
# PATCH-FIX-UPSTREAM libqt5-Fixes-crash-in-bmp-and-ico-image-decoding.patch -- bsc#927806, bsc#927807
Patch2020:      libqt5-Fixes-crash-in-bmp-and-ico-image-decoding.patch
# PATCH-FIX-UPSTREAM libqt5-Fixes-crash-in-gif-image-decoder.patch -- bsc#927808
Patch2021:      libqt5-Fixes-crash-in-gif-image-decoder.patch
BuildRequires:  alsa-devel
BuildRequires:  cups-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libmng-devel
BuildRequires:  libmysqlclient-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(mtdev)
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
#BuildRequires:  postgresql-devel
BuildRequires:  sqlite3-devel
BuildRequires:  unixODBC-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
%ifarch %arm aarch64
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glesv2)
%endif
BuildRequires:  libicu-devel
BuildRequires:  libpulse-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-renderutil-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libudev)
%if 0%{?suse_version} >= 1310
BuildRequires:  pkgconfig(harfbuzz)
%endif
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
%if 0%{?suse_version} >= 1315
BuildRequires:  pkgconfig(xkbcommon) >= 0.4.1
BuildRequires:  pkgconfig(xkbcommon-x11) >= 0.4.1
%else
BuildRequires:  xkeyboard-config
%endif
%if %journald
BuildRequires:  pkgconfig(libsystemd-journal)
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.

%define libqt5_prefix		%{_prefix}
%define libqt5_libdir		%{_libdir}
%define libqt5_archdatadir	%{_libdir}/qt5
%define libqt5_bindir		%{libqt5_archdatadir}/bin
%define libqt5_datadir		%{_datadir}/qt5
%define libqt5_docdir		%{_docdir}/qt5
%define libqt5_examplesdir	%{libqt5_archdatadir}/examples
%define libqt5_includedir	%{_includedir}/qt5
%define libqt5_importdir	%{libqt5_archdatadir}/imports
%define libqt5_libexecdir	%{libqt5_archdatadir}/libexec
%define libqt5_plugindir	%{libqt5_archdatadir}/plugins
%define libqt5_sysconfdir	%{_sysconfdir}/xdg
%define libqt5_translationdir	%{libqt5_datadir}/translations

%prep
%setup -q -n qtbase-opensource-src-%{real_version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch2000 -p1
%patch2001 -p1
%patch2002 -p1
%patch2003 -p1
%patch2004 -p1
%patch2005 -p1
%patch2006 -p1
%patch2007 -p1
%patch2008 -p1
%patch2009 -p1
%patch2010 -p1
%patch2011 -p1
%patch2012 -p1
%patch2013 -p1
%patch2014 -p1
%patch2015 -p1
%patch2016 -p1
%patch2017 -p1
%patch2018 -p1
%patch2019 -p1
%patch2020 -p1
%patch2021 -p1

# be sure not to use them
rm -r src/3rdparty/{libjpeg,freetype,libpng,zlib}
#rm -r qtimageformats/src/3rdparty/{libtiff,libmng}

%package devel
Summary:        Qt Development Kit
Group:          Development/Libraries/X11
# External deps shall be found via pkgconfig
Requires:       %{name}-common-devel
Requires:       %{name}-doc = %{version}
Requires:       libQt5Concurrent-devel = %{version}
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5DBus-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5Network-devel = %{version}
Requires:       libQt5OpenGL-devel = %{version}
Requires:       libQt5PrintSupport-devel = %{version}
Requires:       libQt5Sql-devel = %{version}
Requires:       libQt5Test-devel = %{version}
Requires:       libQt5Widgets-devel = %{version}
Requires:       libQt5Xml-devel = %{version}

%description devel
You need this package, if you want to compile programs with Qt. It
contains the "Qt Crossplatform Development Kit". It does contain
include files and development applications like GUI designers,
translator tools and code generators.

%package common-devel
Summary:        Qt 5 Core Development Binaries
Group:          Development/Libraries/X11
Requires:       gcc-c++
Requires:       pkg-config

%description common-devel
Qt 5 Core Development Binaries. It contains Qt5's moc, qmake,
rcc, uic and syncqt.pl binaries.

%package -n libQt5Core5
Summary:        Qt 5 Core Library
Group:          Development/Libraries/X11
Provides:       libqt5-qtbase = %{version}
Obsoletes:      libqt5-qtbase < %{version}

%description -n libQt5Core5
The Qt 5 Core library.

%package -n libQt5Core-devel
Summary:        Qt 5 Core Library - development files
Group:          Development/Libraries/X11
Requires:       %{name}-common-devel = %{version}
Requires:       libQt5Core5 = %{version}

%description -n libQt5Core-devel
Qt 5 Core Library - development files.

%package -n libQt5Core-private-headers-devel
Summary:        Qt 5 Core Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-devel = %{version}

%description -n libQt5Core-private-headers-devel
Qt 5 Core Library - Non-ABI stable development files.

%package -n libQt5Concurrent5
Summary:        Qt 5 Concurrent Library
Group:          Development/Libraries/X11

%description -n libQt5Concurrent5
The Qt 5 Concurrent library.

%package -n libQt5Concurrent-devel
Summary:        Qt 5 Concurrent Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Concurrent5 = %{version}
Requires:       libQt5Core-devel = %{version}

%description -n libQt5Concurrent-devel
The Qt 5 Concurrent library - development files.

%package -n libQt5DBus5
Summary:        Qt 5 DBus Library
Group:          Development/Libraries/X11

%description -n libQt5DBus5
The Qt 5 DBus library.

%package -n libQt5DBus-devel
Summary:        Qt 5 DBus Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5DBus5 = %{version}

%description -n libQt5DBus-devel
The Qt 5 DBus library - development files. Aditionally, it contains
Qt5's qdbusxml2cpp and qdbuscpp2xml binaries.

%package -n libQt5DBus-private-headers-devel
Summary:        Qt 5 DBus Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5DBus-devel = %{version}

%description -n libQt5DBus-private-headers-devel
Qt 5 DBus Library - Non-ABI stable development files.

%package -n libQt5Network5
Summary:        Qt 5 Network Library
Group:          Development/Libraries/X11

%description -n libQt5Network5
The Qt 5 Network library.

%package -n libQt5Network-devel
Summary:        Qt 5 Network Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Network5 = %{version}

%description -n libQt5Network-devel
The Qt 5 Network library - development files.

%package -n libQt5Network-private-headers-devel
Summary:        Qt 5 Network Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Network-devel = %{version}

%description -n libQt5Network-private-headers-devel
Qt 5 Network Library - Non-ABI stable development files.

%package -n libQt5OpenGL5
Summary:        Qt 5 OpenGL Library
Group:          Development/Libraries/X11

%description -n libQt5OpenGL5
The Qt 5 OpenGL library.

%package -n libQt5OpenGL-devel
Summary:        Qt 5 OpenGL Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5OpenGL5 = %{version}
Requires:       libQt5Widgets-devel = %{version}
%ifarch %arm aarch64
Requires:       pkgconfig(glesv2)
%else
Requires:       pkgconfig(gl)
%endif

%description -n libQt5OpenGL-devel
The Qt 5 OpenGL library - development files.

%package -n libQt5OpenGL-private-headers-devel
Summary:        Qt 5 OpenGL Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5OpenGL-devel = %{version}
Requires:       libQt5Widgets-private-headers-devel = %{version}

%description -n libQt5OpenGL-private-headers-devel
Qt 5 OpenGL Library - Non-ABI stable development files.

%package -n libQt5PrintSupport5
Summary:        Qt 5 Print Support Library
Group:          Development/Libraries/X11

%description -n libQt5PrintSupport5
The Qt 5 Print Support library.

%package -n libQt5PrintSupport-devel
Summary:        Qt 5 Print Support Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5PrintSupport5 = %{version}
Requires:       libQt5Widgets-devel = %{version}

%description -n libQt5PrintSupport-devel
The Qt 5 Print Support library - development files.

%package -n libQt5PrintSupport-private-headers-devel
Summary:        Qt 5 Print Support Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5PrintSupport-devel = %{version}
Requires:       libQt5Widgets-private-headers-devel = %{version}

%description -n libQt5PrintSupport-private-headers-devel
Qt 5 Print Support Library - Non-ABI stable development files.

%package -n libQt5Xml5
Summary:        Qt 5 Xml Library
Group:          Development/Libraries/X11

%description -n libQt5Xml5
The Qt 5 Xml library.

%package -n libQt5Xml-devel
Summary:        Qt 5 Xml Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Xml5 = %{version}

%description -n libQt5Xml-devel
The Qt 5 Xml library - development files.

%package -n libQt5Test5
Summary:        Qt 5 Test Library
Group:          Development/Libraries/X11

%description -n libQt5Test5
The Qt 5 library for testing.

%package -n libQt5Test-devel
Summary:        Qt 5 Test Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Test5 = %{version}

%description -n libQt5Test-devel
The Qt 5 library for testing - development files.

%package -n libQt5Test-private-headers-devel
Summary:        Qt 5 Test Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Test-devel = %{version}

%description -n libQt5Test-private-headers-devel
Qt 5 Test Library - Non-ABI stable development files.

%package -n libQt5Widgets5
Summary:        Qt 5 Widgets Library
Group:          Development/Libraries/X11

%description -n libQt5Widgets5
The Qt 5 library to display widgets.

%package -n libQt5Widgets-devel
Summary:        Qt 5 Widgets Library - development files
Group:          Development/Libraries/X11
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
Requires:       libQt5Widgets5 = %{version}

%description -n libQt5Widgets-devel
The Qt 5 library to display widgets - development files.

%package -n libQt5Widgets-private-headers-devel
Summary:        Qt 5 Widgets Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5Widgets-devel = %{version}

%description -n libQt5Widgets-private-headers-devel
Qt 5 Widgets Library - Non-ABI stable development files.

%package -n libQt5Sql5-sqlite
Summary:        Qt 5 sqlite plugin
Group:          Development/Libraries/C and C++
Requires:       libQt5Sql5 = %{version}
Provides:       libqt5-sql-sqlite = %{version}
Provides:       libqt5_sql_backend = %{version}
Obsoletes:      libqt5-sql-sqlite < %{version}

%description -n libQt5Sql5-sqlite
Qt 5 sqlite plugin to be able to use database functionality with Qt
applications without the need to setup a SQL server.

%package -n libQt5Sql5-unixODBC
Summary:        Qt 5 unixODBC plugin
Group:          Development/Libraries/C and C++
Requires:       libQt5Sql5 = %{version}
Provides:       libqt5-sql-unixODBC = %{version}
Provides:       libqt5_sql_backend = %{version}
Obsoletes:      libqt5-sql-unixODBC < %{version}

%description -n libQt5Sql5-unixODBC
Qt unixODBC plugin to support databases via unixODBC within Qt
applications.

#%package -n libQt5Sql5-postgresql
#Summary:        Qt 5 PostgreSQL plugin
#Group:          Development/Libraries/C and C++
#Requires:       libQt5Sql5 = %{version}
#Provides:       libqt5-sql-postgresql = %{version}
#Provides:       libqt5_sql_backend = %{version}
#Obsoletes:      libqt5-sql-postgresql < %{version}

#%description -n libQt5Sql5-postgresql
#Qt SQL plugin to support PostgreSQL servers in Qt applications.

%package -n libQt5Sql5-mysql
Summary:        Qt 5 MySQL support
Group:          Development/Libraries/C and C++
Requires:       libQt5Sql5 = %{version}
Provides:       libqt5-sql-mysql = %{version}
Provides:       libqt5_sql_backend = %{version}
Obsoletes:      libqt5-sql-mysql < %{version}

%description -n libQt5Sql5-mysql
A plugin to support MySQL server in Qt applications.

%package -n libQt5Gui5
Summary:        Qt 5 GUI related libraries
Group:          Development/Libraries/C and C++
Recommends:     libqt5-qtimageformats = %{version}

%description -n libQt5Gui5
Qt 5 libraries which are depending on X11.

%package -n libQt5Gui-devel
Summary:        Qt 5 GUI related libraries - development files
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui5 = %{version}
%ifarch %arm aarch64
Requires:       pkgconfig(glesv2)
%else
Requires:       pkgconfig(gl)
%endif
Requires:       pkgconfig(egl)
Requires:       pkgconfig(libdrm)

%description -n libQt5Gui-devel
Qt 5 libraries which are depending on X11 - development files.

%package -n libQt5Gui-private-headers-devel
Summary:        Qt 5 Gui Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-devel = %{version}

%description -n libQt5Gui-private-headers-devel
Qt 5 Gui Library - Non-ABI stable development files.

%package -n libQt5Sql5
Summary:        Qt 5 SQL related libraries
Group:          Development/Libraries/C and C++
Recommends:     libqt5_sql_backend = %{version}
Suggests:       libqt5-sql-sqlite

%description -n libQt5Sql5
Qt 5 libraries which are used for connection with an SQL server. You
will need also a plugin package for a supported SQL server.

%package -n libQt5Sql-devel
Summary:        Qt 5 SQL related libraries - development files
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Sql5 = %{version}
Suggests:       libQt5Sql5-mysql = %{version}
#Suggests:       libQt5Sql5-postgresql = %{version}
Suggests:       libQt5Sql5-sqlite = %{version}
Suggests:       libQt5Sql5-unixODBC = %{version}

%description -n libQt5Sql-devel
Qt 5 libraries which are used for connection with an SQL server. You
will need also a plugin package for a supported SQL server - development files.

%package -n libQt5Sql-private-headers-devel
Summary:        Qt 5 SQL Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Sql-devel = %{version}

%description -n libQt5Sql-private-headers-devel
Qt 5 SQL Library - Non-ABI stable development files.

%package doc
Summary:        Qt 5 tool used by Qt Developers to generate documentation
Group:          Development/Libraries/C and C++
Requires:       %{name}-common-devel = %{version}

%description doc
Qt 5 tool used by Qt Developers to generate documentation for software projects.


%package private-headers-devel
Summary:        Non-ABI stable experimental API
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5DBus-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5Network-private-headers-devel = %{version}
Requires:       libQt5OpenGL-private-headers-devel = %{version}
Requires:       libQt5PlatformSupport-private-headers-devel = %{version}
Requires:       libQt5PrintSupport-private-headers-devel = %{version}
Requires:       libQt5Sql-private-headers-devel = %{version}
Requires:       libQt5Test-private-headers-devel = %{version}
Requires:       libQt5Widgets-private-headers-devel = %{version}

%description private-headers-devel
This package provides private headers of libqt5-qtbase-devel that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5Bootstrap-devel-static
Summary:        Qt Bootstrap module
Group:          Development/Libraries/C and C++
Requires:       %{name}-common-devel = %{version}

%description -n libQt5Bootstrap-devel-static
Qt Bootstrap module.

%package -n libQt5OpenGLExtensions-devel-static
Summary:        Qt OpenGLExtensions module
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
# List the below ones manually - they are private, but this is a static lib
Requires:       pkgconfig(gl)

%description -n libQt5OpenGLExtensions-devel-static
Qt OpenGLExtensions module.

%package -n libQt5PlatformSupport-devel-static
Summary:        Qt PlatformSupport module
Group:          Development/Libraries/C and C++
Requires:       libQt5Core-devel = %{version}
Requires:       libQt5Gui-devel = %{version}
# List the below ones manually - they are private, but this is a static lib
Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(egl)
Requires:       pkgconfig(fontconfig)
Requires:       pkgconfig(freetype2)
Requires:       pkgconfig(gl)
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(libudev)
Requires:       pkgconfig(mtdev)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xext)
Requires:       pkgconfig(xrender)

%description -n libQt5PlatformSupport-devel-static
Qt PlatformSupport module.

%package -n libQt5PlatformSupport-private-headers-devel
Summary:        Qt 5 PlatformSupport Library - Non-ABI stable development files
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5Core-private-headers-devel = %{version}
Requires:       libQt5Gui-private-headers-devel = %{version}
Requires:       libQt5PlatformSupport-devel-static = %{version}

%description -n libQt5PlatformSupport-private-headers-devel
Qt 5 PlatformSupport Library - Non-ABI stable development files.

%package examples
Summary:        Qt5 base examples
Group:          Development/Libraries/X11
Recommends:     libqt5-qtbase-devel

%description examples
Examples for libqt5-qtbase modules.

%build
export QMAKESPEC=$PWD/mkspecs/linux-g++
%ifarch ppc64
  RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
export CXXFLAGS="$CXXFLAGS %{optflags} -DOPENSSL_LOAD_CONF"
export CFLAGS="$CFLAGS %{optflags} -DOPENSSL_LOAD_CONF"
export MAKEFLAGS="%{?_smp_mflags}"
%ifarch sparc64
platform="-platform linux-g++-64"
%else
platform=""
%endif
%define xkbconfigroot %(pkg-config --variable=xkb_base xkeyboard-config)
%if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
# Record mtime of changes file instead of build time
CHANGES=`stat --format="%y" %{SOURCE1}|cut --characters=1-10`
sed -i -e "s/qt_instdate=\$TODAY/qt_instdate=$CHANGES/" configure
# so non-qt5 apps/libs don't get stripped
sed -i -e 's|^\(QMAKE_STRIP.*=\).*$|\1|g' mkspecs/common/linux.conf

echo yes | ./configure $platform \
	-prefix %{_prefix} \
	-L %{libqt5_libdir} \
	-libdir %{libqt5_libdir} \
	-archdatadir %{libqt5_archdatadir} \
	-bindir %{libqt5_bindir} \
	-datadir %{libqt5_datadir} \
	-docdir %{libqt5_docdir} \
	-examplesdir %{libqt5_examplesdir} \
	-headerdir %{libqt5_includedir} \
	-importdir %{libqt5_importdir} \
	-libexecdir %{libqt5_libexecdir} \
	-plugindir %{libqt5_plugindir} \
	-sysconfdir %{libqt5_sysconfdir} \
	-translationdir %{libqt5_translationdir} \
	-verbose \
%ifarch %ix86 x86_64
	-reduce-relocations \
%else
	-no-reduce-relocations \
%endif
%ifarch %ix86
	-no-sse2 -no-pch \
%endif
	-optimized-qmake \
	-accessibility \
	-no-strip \
	-opensource \
	-no-separate-debug-info \
	-shared \
	-xkb \
%if 0%{?suse_version} >= 1315
	-system-xkbcommon \
%else
	-qt-xkbcommon \
	-xkb-config-root %{xkbconfigroot} \
%endif
	-xrender \
	-xcursor \
	-dbus-linked \
	-xfixes \
	-xrandr \
	-xinerama \
	-sm \
	-no-rpath \
	-system-libjpeg \
	-openssl-linked \
	-system-libpng \
%if 0%{?suse_version} >= 1310
	-system-harfbuzz \
%endif
	-fontconfig \
	-system-freetype \
	-cups \
	-nis \
	-system-zlib \
	-iconv \
	-no-pch \
	-glib \
	-system-sqlite \
	-no-sql-mysql \
	-no-strip \
%if %journald
	-journald \
%endif
	-xsync \
	-xinput \
	-gtkstyle \
	-xcb \
	-egl \
	-eglfs \
%ifarch %arm aarch64
	-eglfs -kms \
	-opengl es2 \
%else
	-opengl desktop \
%endif
    -release \
	-plugin-sql-sqlite -nomake tests \
	-plugin-sql-odbc \
	-plugin-sql-mysql -I/usr/include/mysql/ -v

#	-plugin-sql-psql -I/usr/include/pgsql/ -I/usr/include/pgsql/server 

make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%ifarch %ix86
install -d %{buildroot}%{libqt5_libdir}/sse2/

pushd src/corelib; make clean ; ../../bin/qmake -config sse2; make %{?_smp_mflags}
cp -av ../../lib/libQt5Core.so.* %{buildroot}%{libqt5_libdir}/sse2/
popd

pushd src/gui; ../../bin/qmake -config sse2; make %{?_smp_mflags}
cp -av ../../lib/libQt5Gui.so.* %{buildroot}%{libqt5_libdir}/sse2/
popd
%endif

install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/rpm/macros.qt5
# argggh, qmake is such a piece of <censored>
find %{buildroot}/%{libqt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L$RPM_BUILD_DIR/\S+,,g" {} \;
find %{buildroot}/%{libqt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{libqt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} \;
# insanity ...
find %{buildroot}/%{libqt5_libdir} -type f -name '*pc' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} \; -exec sed -i -e "s,^moc_location=.*,moc_location=%libqt5_bindir/moc," -e "s,uic_location=.*,uic_location=%libqt5_bindir/uic," {} \;
find %{buildroot}/%{libqt5_libdir}/ -name 'lib*.a' -exec chmod -x -- {} \;
# kill .la files
rm -f %{buildroot}%{libqt5_libdir}/lib*.la

# 
rm -fv %{buildroot}%{libqt5_libdir}/cmake/Qt5*/Q*Plugin.cmake

mkdir -p %{buildroot}/%{libqt5_plugindir}/sqldrivers

# put all the binaries to %{_bindir}, add -qt5 suffix, and symlink them back to %_qt5_bindir
mkdir %{buildroot}%{_bindir}
pushd %{buildroot}%{libqt5_bindir}
for i in * ; do
  case "${i}" in
    moc|qdbuscpp2xml|qdbusxml2cpp|qmake|rcc|syncqt|uic)
      mv $i ../../../bin/${i}-qt5
      ln -s ../../../bin/${i}-qt5 .
      ln -s ../../../bin/${i}-qt5 $i
      ;;
   *)
      mv $i ../../../bin/
      ln -s ../../../bin/$i .
      ;;
  esac
done
popd
pushd %{buildroot}%{libqt5_docdir}/global/template/images
chmod -R 644 *.png
popd

# Only symlink mkspecs, as headers and cmake files are across different packages. If needed, call fdupes on every dir, as per package split
%fdupes -s %{buildroot}%{libqt5_archdatadir}/mkspecs/

%fdupes -s %{buildroot}%{libqt5_examplesdir}/

for headers in QtCore QtConcurrent QtTest QtNetwork QtXml QtSql QtGui QtWidgets QtDBus QtPrintSupport QtOpenGL; do
    %fdupes -s %{buildroot}%{libqt5_includedir}/$headers
done

%post -n libQt5Core5 -p /sbin/ldconfig

%post -n libQt5Concurrent5 -p /sbin/ldconfig

%post -n libQt5DBus5 -p /sbin/ldconfig

%post -n libQt5Network5 -p /sbin/ldconfig

%post -n libQt5OpenGL5 -p /sbin/ldconfig

%post -n libQt5PrintSupport5 -p /sbin/ldconfig

%post -n libQt5Xml5 -p /sbin/ldconfig

%post -n libQt5Gui5 -p /sbin/ldconfig

%post -n libQt5Sql5 -p /sbin/ldconfig

%post -n libQt5Test5 -p /sbin/ldconfig

%post -n libQt5Widgets5 -p /sbin/ldconfig

%postun -n libQt5Core5 -p /sbin/ldconfig

%postun -n libQt5Concurrent5 -p /sbin/ldconfig

%postun -n libQt5DBus5 -p /sbin/ldconfig

%postun -n libQt5Network5 -p /sbin/ldconfig

%postun -n libQt5OpenGL5 -p /sbin/ldconfig

%postun -n libQt5PrintSupport5 -p /sbin/ldconfig

%postun -n libQt5Xml5 -p /sbin/ldconfig

%postun -n libQt5Gui5 -p /sbin/ldconfig

%postun -n libQt5Sql5 -p /sbin/ldconfig

%postun -n libQt5Test5 -p /sbin/ldconfig

%postun -n libQt5Widgets5 -p /sbin/ldconfig

%files common-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{_sysconfdir}/rpm/macros.qt5
%{_bindir}/moc*
%{libqt5_bindir}/moc*
%{_bindir}/qmake*
%{libqt5_bindir}/qmake*
%{_bindir}/rcc*
%{libqt5_bindir}/rcc*
%{_bindir}/uic*
%{libqt5_bindir}/uic*
%{_bindir}/syncqt.pl*
%{libqt5_bindir}/syncqt.pl*
%{_bindir}/qlalr*
%{libqt5_bindir}/qlalr*
%{libqt5_archdatadir}/mkspecs/
%dir %{libqt5_libdir}/cmake
%dir %{libqt5_includedir}
%dir %{libqt5_archdatadir}
%dir %{libqt5_bindir}

%files -n libQt5Core5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Core.so.*
%ifarch %ix86
%dir %{libqt5_libdir}/sse2
%{libqt5_libdir}/sse2/libQt5Core.so.*
%endif

%files -n libQt5Core-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Core.so
%{libqt5_libdir}/libQt5Core.prl
%{libqt5_libdir}/cmake/Qt5Core/
%{libqt5_libdir}/cmake/Qt5/
%{libqt5_libdir}/pkgconfig/Qt5Core.pc
%{libqt5_includedir}/QtCore/
%exclude %{libqt5_includedir}/QtCore/%{so_version}

%files -n libQt5Concurrent5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Concurrent.so.*

%files -n libQt5Concurrent-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Concurrent.so
%{libqt5_libdir}/libQt5Concurrent.prl
%{libqt5_libdir}/cmake/Qt5Concurrent/
%{libqt5_libdir}/pkgconfig/Qt5Concurrent.pc
%{libqt5_includedir}/QtConcurrent/

%files -n libQt5DBus5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5DBus.so.*

%files -n libQt5DBus-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5DBus.so
%{libqt5_libdir}/libQt5DBus.prl
%{libqt5_libdir}/cmake/Qt5DBus/
%{libqt5_libdir}/pkgconfig/Qt5DBus.pc
%{libqt5_includedir}/QtDBus/
%exclude %{libqt5_includedir}/QtDBus/%{so_version}
%{libqt5_bindir}/qdbusxml2cpp*
%{_bindir}/qdbusxml2cpp*
%{libqt5_bindir}/qdbuscpp2xml*
%{_bindir}/qdbuscpp2xml*

%files -n libQt5Network5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Network.so.*
%dir %{libqt5_libdir}/qt5
%dir %{libqt5_plugindir}
%{libqt5_plugindir}/bearer

%files -n libQt5Network-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Network.so
%{libqt5_libdir}/libQt5Network.prl
%{libqt5_libdir}/cmake/Qt5Network/
%{libqt5_libdir}/pkgconfig/Qt5Network.pc
%{libqt5_includedir}/QtNetwork/
%exclude %{libqt5_includedir}/QtNetwork/%{so_version}

%files -n libQt5OpenGL5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5OpenGL.so.*

%files -n libQt5OpenGL-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5OpenGL.so
%{libqt5_libdir}/libQt5OpenGL.prl
%{libqt5_libdir}/cmake/Qt5OpenGL/
%{libqt5_libdir}/pkgconfig/Qt5OpenGL.pc
%{libqt5_includedir}/QtOpenGL/
%exclude %{libqt5_includedir}/QtOpenGL/%{so_version}

%files -n libQt5PrintSupport5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5PrintSupport.so.*
%{libqt5_plugindir}/printsupport

%files -n libQt5PrintSupport-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5PrintSupport.so
%{libqt5_libdir}/libQt5PrintSupport.prl
%{libqt5_libdir}/cmake/Qt5PrintSupport/
%{libqt5_libdir}/pkgconfig/Qt5PrintSupport.pc
%{libqt5_includedir}/QtPrintSupport/
%exclude %{libqt5_includedir}/QtPrintSupport/%{so_version}

%files -n libQt5Xml5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Xml.so.*

%files -n libQt5Xml-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Xml.so
%{libqt5_libdir}/libQt5Xml.prl
%{libqt5_libdir}/cmake/Qt5Xml/
%{libqt5_libdir}/pkgconfig/Qt5Xml.pc
%{libqt5_includedir}/QtXml/

%files -n libQt5Test5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Test.so.*

%files -n libQt5Test-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Test.so
%{libqt5_libdir}/libQt5Test.prl
%{libqt5_libdir}/cmake/Qt5Test/
%{libqt5_libdir}/pkgconfig/Qt5Test.pc
%{libqt5_includedir}/QtTest/
%exclude %{libqt5_includedir}/QtTest/%{so_version}

%files -n libQt5Widgets5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Widgets.so.*
%{libqt5_plugindir}/accessible

%files -n libQt5Widgets-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Widgets.so
%{libqt5_libdir}/libQt5Widgets.prl
%{libqt5_libdir}/cmake/Qt5Widgets/
%{libqt5_libdir}/pkgconfig/Qt5Widgets.pc
%{libqt5_includedir}/QtWidgets/
%exclude %{libqt5_includedir}/QtWidgets/%{so_version}

%files -n libQt5Gui5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Gui.so.*
%ifarch %ix86
%{libqt5_libdir}/sse2/libQt5Gui.so.*
%endif
%{libqt5_plugindir}/generic
%{libqt5_plugindir}/imageformats
%{libqt5_plugindir}/platforminputcontexts
%{libqt5_plugindir}/platforms
%{libqt5_plugindir}/platformthemes

%files -n libQt5Gui-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Gui.so
%{libqt5_libdir}/libQt5Gui.prl
%{libqt5_libdir}/cmake/Qt5Gui/
%{libqt5_libdir}/pkgconfig/Qt5Gui.pc
%{libqt5_includedir}/QtGui/
%exclude %{libqt5_includedir}/QtGui/%{so_version}

%files devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*

%files private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*

%files -n libQt5Sql5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Sql.so.*
%dir %{libqt5_plugindir}/sqldrivers

%files -n libQt5Sql-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Sql.so
%{libqt5_libdir}/libQt5Sql.prl
%{libqt5_libdir}/cmake/Qt5Sql/
%{libqt5_libdir}/pkgconfig/Qt5Sql.pc
%{libqt5_includedir}/QtSql/
%exclude %{libqt5_includedir}/QtSql/%{so_version}

%files -n libQt5Sql5-sqlite
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_plugindir}/sqldrivers/libqsqlite*.so

%files -n libQt5Sql5-unixODBC
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_plugindir}/sqldrivers/libqsqlodbc*.so

#%files -n libQt5Sql5-postgresql
#%defattr(-,root,root,755)
#%doc *.txt LICENSE.*
#%{libqt5_plugindir}/sqldrivers/libqsqlpsql*.so

%files -n libQt5Sql5-mysql
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_plugindir}/sqldrivers/libqsqlmysql*.so

%files doc
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{_bindir}/qdoc*
%{libqt5_bindir}/qdoc*
%{libqt5_docdir}

%files -n libQt5Bootstrap-devel-static
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5Bootstrap.a
%{libqt5_libdir}/libQt5Bootstrap.prl
%{libqt5_libdir}/pkgconfig/Qt5Bootstrap.pc

%files -n libQt5OpenGLExtensions-devel-static
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5OpenGLExtensions.a
%{libqt5_libdir}/libQt5OpenGLExtensions.prl
%{libqt5_libdir}/cmake/Qt5OpenGLExtensions/
%{libqt5_libdir}/pkgconfig/Qt5OpenGLExtensions.pc
%{libqt5_includedir}/QtOpenGLExtensions/

%files -n libQt5PlatformSupport-devel-static
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_libdir}/libQt5PlatformSupport.a
%{libqt5_libdir}/libQt5PlatformSupport.prl
%{libqt5_libdir}/pkgconfig/Qt5PlatformSupport.pc
%{libqt5_includedir}/QtPlatformSupport/
%exclude %{libqt5_includedir}/QtPlatformSupport/%{so_version}

%files -n libQt5Core-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtCore/%{so_version}/

%files -n libQt5DBus-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtDBus/%{so_version}/

%files -n libQt5Gui-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtGui/%{so_version}/

%files -n libQt5Network-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtNetwork/%{so_version}/

%files -n libQt5OpenGL-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtOpenGL/%{so_version}/

%files -n libQt5PlatformSupport-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtPlatformSupport/%{so_version}/

%files -n libQt5PrintSupport-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtPrintSupport/%{so_version}/

%files -n libQt5Sql-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtSql/%{so_version}/

%files -n libQt5Test-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtTest/%{so_version}/

%files -n libQt5Widgets-private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_includedir}/QtWidgets/%{so_version}/

%files examples
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{libqt5_examplesdir}/

%changelog
* Wed May 20 2015 mlin@suse.com
- A bunch update to Qt5 5.3.2 for SLE12 SP1, bsc#931622
* Tue May 19 2015 mlin@suse.com
- Add libqt5-Fix-a-division-by-zero-processing-malformed-BMP.patch -- QTBUG-44547, bsc#921999(CVE-2015-0295)
- Add libqt5-Fixes-crash-in-bmp-and-ico-image-decoding.patch -- bsc#927806(CVE-2015-1858), bsc#927807(CVE-2015-1859)
- Add libqt5-Fixes-crash-in-gif-image-decoder.patch -- bsc#927808(CVE-2015-1860)
* Mon Jan 12 2015 hrvoje.senjan@gmail.com
- Added Fix-use-after-free-bug.patch from upstream
  (qtbug#43623, boo#870151)
* Tue Nov 11 2014 hrvoje.senjan@gmail.com
- Update QTBUG41590.patch for commit that was pushed upstream
* Wed Nov  5 2014 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Allow-panels-outside-of-availableGeometry.patch (kde#339846)
  and 0002-Always-lock-the-DBus-dispatcher-before-dbus_connecti.patch,
  0003-QDBusConnection-Merge-the-dispatch-and-the-watch-and.patch,
  0004-Partially-revert-Fix-a-deadlock-introduced-by-the-ra.patch,
  for QTBUG#42189
* Wed Oct 29 2014 hrvoje.senjan@gmail.com
- Don't install CMake files for plugins, they are useful only for
  bundled Qt builds
- Downgrade sql-plugins from libQt5Sql-devel's requires to suggests
- Added QTBUG41590.patch, improve font rendering
  (QTBUG41590,QTBUG40971)
* Sun Oct 12 2014 hrvoje.senjan@gmail.com
- Added 0001-QFileDialog-emit-urlsSelected-urlSelected-in-accept.patch,
  0002-QUrl-fromLocalFile-QString-should-lead-to-an-empty-U.patch,
  0003-QFileDialog-turn-workingDirectory-into-a-QUrl.patch and
  0004-QFileDialog-implement-getOpenFileUrl-and-friends-for.patch
  from upstream to improve QFileDialog behaviour with both local
  and remote URL's
- Added 0001-QKdeTheme-use-system-wide-kdeglobals-as-a-fallback.patch:
  QTBUG-36184
- Added 0001-Add-QFont-strategy-to-disable-subpixel-antialiasing.patch,
  0002-Move-SubpixelAntialiasingType-from-QFontEngineFT-to-.patch,
  0003-Support-autohint-and-lcdfilter-fontconfig-configurat.patch
  and 0004-GTK2-theme-should-use-GTK-configured-font-variant.patch
  QTBUG-40396, QTBUG-32254, QTBUG-39643
* Wed Sep 24 2014 mlin@suse.com
- Add libqt5-do-not-use-shm-if-display-name-doesnt-look-local.patch
  from Michal Srb, bnc#888858
  * additional check the display name before use SHM, this patch is
    equivalent to what has been did in Qt4:
    https://qt.gitorious.org/qt/qt/source/6a7f06d70e1267d3d995a3c863ba8f748d45e531:src/gui/kernel/qapplication_x11.cpp#L1986
* Mon Sep 22 2014 hrvoje.senjan@gmail.com
- Build without sse2 instructions by default for %%ix86 architecture,
  and rebuild QtCore and QtuGui modules with sse2 (they are installed
  to %%_libdir/sse2 (bnc#897758)
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2 final
  * No changes since previous snapshot
  * Use official tars
* Thu Sep  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2~git20140904 (r05670f5):
  * Tip of the bugfix 5.3.2 branch:
  * Recreate child windows when changing screens
  * QCoreTextFontDatabase: Remove number type asserts.
  * QGLXContext survives screen removal
  * CoreWLan: terminate scan thread in QCoreWlanEngine destructor
  * Also print the class name in the QObject::killTimer error msg
  * Initialize textureId in platform backing store
  * Doc: corrected autolink errors corelib io
  * Avoid crash if querying device that has gone away
  * Doc: corrected autolink errors Qjsonvalue
  * Network: Fix NTLM (SSPI) with HTTP and HTTPS proxies
  * remove always ask option.
  * Fix handling QT_IM_MODULE=none
  * xcb: use keyboard event source window to determine
    auto-repeat valuen
  * Fix invalid memcpy(dst, src) calls where dst == src
  * Fix several regressions in font selection
  * Detect wrongly labelled wheel buttons
  * Make QWindowContainer handle drag'n'drop
  * Resize correctly on orientation change.
  * Use correct size in fullscreen mode
  * Properly null-terminate ifreq::irf_name
  * fingerpaint example: be sensitive to pressure only
    when supported
  * Fix a memory leak in QFseventsFileSystemWatcherEngine
  * Do not set QMAKE_{INC,LIB}DIR_{OPENGL,X11} in the
    freebsd mkspecs.
  * refactor disconnectFromFtp to remove cached entries
    when necessary
  * Remove reference to gdb_dwarf_index from the
    freebsd-clang mkspec.
  * Fix mistake in function extraTryFontsForFamily
  * Fix rendering of fonts matched based on stretch
  * Fix x86/32-bit build when using an old version of gcc
  * Fix selection of fonts based on styleName
  * QFusionStyle paints sliders outside of clip
  * Set iMX device specific compiler flags to QMAKE_CFLAGS
  * Fix QPainter::drawPolyline() painting errors with
    cosmetic pen
  * Let QImage::mirrored() retain dots-per-meter settings
  * Make sure we don't cache old file sizes prior to new writes
  * Correct the SYNC hint for the release barrier
  * Fix QT_NO_REGULAREXPRESSION build
  * Fix QT_NO_ANIMATION build
  * Fix build with QT_NO_MDIAREA
  * Show the correct cursor for QLineEdit's side buttons.
  * Fix disconnect()ing from signals declared in a base class
  * Fix rendering alpha-blended text which needs to be
    clipped at the top.
  * Fix build due to missing include when using a minimal config.
  * Fix build with QT_NO_DRAGANDDROP
  * Font Database: Add support for private, system UI
    font families
  * Apply upstream patch r1498 to our PCRE copy
  * Apply upstream patch r1495 to our PCRE copy
  * Initialize member.
  * Document missing QLatin1String methods
  * network tests: add manual test for auth / proxy auth
  * Uncomment some tests which accidently got commented
  * Both HiQualAA and normal AA should mean
    antialiasing in rasterengine.
  * Check if Start/EndPage returns non-positive value
    when error checking
  * GTK file dialog: pre-fill the filename if given to a
    Save dialog
  * QFileDialog docs: remove misleading sentence about
    static functions
  * Doc: Placed Qt OpenGL class convention in code block.
  * Undo: Fix state entry bug for parallel state groups
  * Do not add QOffscreenSurface windows to the global list
  * tst_QHash: check which of several equal keys is inserted
  * OpenGL: destroy QGLContext allocated by
    QGLContext::fromOpenGLContext
  * tst_QSet: check which of several equal elements is inserted
  * fix paths in installed qtmain.prl
  * add /ENTRY:main only for target builds
  * avoid that CROSS_COMPILE affects host builds
  * Add missing power button keycode to keymap
  * Android: export ANDROID_SDK_BUILD_TOOLS_REVISION.
  * cocoa: Fix compiler warnings about unused functions.
  * Propagate swapInterval to QGLFormat
  * Fix double clicks in eglfs
  * Work around ICC bug in local static symbols for
    Q_GLOBAL_STATIC
  * QCoreTextFontDatabase: Fix font weight value when
    populating a family
  * Don't convert signed to unsigned when we need all 32bit
  * Fix compilation if EC is disabled in OpenSSL
  * Fix warning message when re-setting text on tooltip
  * Improve dbus cross compilation
  * Fix buffer overrun error with some proxy servers
  * QNAM: Fix CPU load for limited upload QIODevice
  * qmake: Document the "aux" template type.
  * Use the stateless UTF-8 encoder in QStringRef::toUtf8
  * Doc: corrected autolink errors in qnamespace.qdoc
  * QPixmap::fromImage() should detach when changing
    QImage format
  * generate QGL header file from qgl.h
  * Ensure transient parents are top level widgets.
  * Added stream version into network cache file format
  * make QtWidgets claim style plugins
  * CMake: Don't check the existence of GL files in the
    Qt5Gui package.
  * QSplitter: Exclude top level widgets from child
    event handling.
  * Doc: Hide QTextInlineObject constructor from
    the documentation
  * Work around ICC bug in brace initializations
    containing constexpr
  * Doc: edited qtxml.qdocconf
  * xcb: QTabletEvents and proximity events correctly
    identify the tool
  * Fixed wrong function name in a file snippet
  * XCB: Enable loading of the Qt::DragLinkCursor
  * Fix fallbacks for adapted common script
  * Fix fallbacks for adapted common script
  * QSslCertificate: blacklist NIC certificates from India
  * Doc: moved saxbookmarks example files
  * tst_qdir: Move QFINDTESTDATA() from init() to constructor.
  * Doc: moved streambookmarks example files
  * Don't assert when HB-old is unable to deal with surrogates
  * REG: Fix nbsp in QTextLayout
  * Support getting test data from qrc
  * Document QApplication::cursorFlashTime() can return -1
  * Fix for code snippet in commandlineparser documentation
  * Doc: removed trolltech.com from namespace in manual
    qdocconf file.
  * Fix typo in QGraphicsView documentation.
  * Fix QTimer with negative interval in
    QWidgetLineControl::setCursorBlinkPeriod
  * Attempt to work with Visual Studio in -Za (strict ANSI) mode
  * Improve QListWidget documentation.
  * Fix debug output of QTouchEvent.
  * Doc: fix a link in QAbstractOpenGLFunctions documentation
  * Accessibility Linux: Fix crashes when accessing
    invalid functions
  * move loading of testability driver from QApplication
    to QGuiApplication
  * QPdf::addImage(): avoid a QImage detach when it's in an
    acceptable Format
  * Make QDom/QXmlSimpleReader reentrant.
  * Move QXmlReaderPrivate to private header.
  * Mac: Don't register for Pan Gestures.
  * Add opt-out environment variable for @2x images
  * Listen to touch events on the master device instead of slave.
  * add support for device linux-arm-hisilicon-hix5hd2-g++
  * Make tst_QLocale::macDefaultLocale() more robust
  * Fix some tst_qwidget test cases
  * xcb: make sure to update window title when it is changed
  * Skip unstable autotests in QtBase.
  * Empty icons and Cocoa menu items.
  * Address Book example: Fix QTableView column sorting
  * QOpenGLTexture: fix the feature test for Buffer Textures
  * qDebug: fix data race in qt_message_print
  * [bcm97425] Fix parameter issue in platformDestroy hook
  * Doc: Various \note fixes in Qt namespace documentation.
  * Fix QFileInfoGatherer threading issue
  * Doc: Fix typo in QScopedValueRollback
  * Fix pixel noise in X11 systray icons that are not 22x22
  * Don't compare the target methods for SlotObject connections
  * qtoolbar: add missing header on OSX.
  * Remove bogus nullptr check for reference
  * Support MIPS atomic on pre-MIPS32 architectures
  * Enable sparc detection.
  * Remove -Wcast-align from QMAKE_CXXFLAGS.
  * Create the 64 bits version strings for MIPS, SPARC and S390
  * Add a comment stating QMutex::isRecursive should be made
    const in Qt6
  * Fix QMutex documentation saying some function are static
    while they are not
  * Delete qml_plugin_import.cpp file only during distclean
  * WinRT: no read-only paths in QStandardpaths::writableLocation
  * Fix compilation on Windows without precompiled headers
  * QColorDialog: Do not update custom/standard color cells
    while picking.
  * Fix -Werror compilation on big-endian
  * CMake: Allow modules to specify the location of tests.
  * Mark behavior of QFileInfo::absoluteFilePath as undefined in
    corner cases
  * Translate Super/Hyper keys to MetaModifier
  * Fix logging file location docs
  * CMake: Report an error if unit tests are not found for
    a module.
  * Fix QRingBuffer::readPointerAtPosition()
  * Make the fetchAndAddRelaxed function a member template
  * Doc: qInstallMessageHandler cannot return 0.
  * GIF decoding: do not seek() if the image is loaded
    over the network
  * network internals: do not try to cache a deleted entry
  * Fix memory leaks in QFseventsFileSystemWatcherEngine
  * Simplify mirroring code and add tests for non-aliged
    1 bit images
  * Add that the corner settings are saved/restored
    with the state
  * Correct grammar of missing Q_OBJECT macro warning.
  * Doc: Fix docs for QFontMetrics::height() to match code
  * Fix installation of private headers generated
    by wayland-scanner
  * add buildsystem/qmake changelog
  * CMake: Load plugin files unconditionally if present.
  * QIcon: Prefer high-quality images of Windows .ico files.
  * tst_qicon: Resolve all files using QFINDTESTDATA().
  * Move most of the QLibraryPrivate initialization to
    its constructor
  * QComboBox: update focus policy when setting a new line edit
  * QDBus: fix data race on isDebugging bool
  * When filling the path it should use the painter's pen
    not the state's
  * Fix data race on QLoggingCategory when using qDebug
    from multiple threads
  * Remove the use of QT_STATIC_CONST in QtSql
  * Fix compilation with /Zc:strictStrings
  * Correct QImage::fill(uint) on RGBA8888 formats
  * XCB: Fix leak with touch devices
  * pass a pointer instead of a reference to initFrom()
  * Properly check which OpenGL features are supported
  * Do not overwrite existing event mask of root window
  * Remove the widget from the stylesheet cache before polishing
  * QDnsLookup: Fix build with uClibc
  * Remove unused define XCB_USE_IBUS.
  * Attempt to fix intel compiler build error.
  * Use QModelIndex to get the data from underlying model
  * QGuiApplication: Document -plugin command line argument.
  * Fix compilation in under -no-c++11 mode
  * Fix compilation with the Intel compiler on certain systems
- Drop patches merged upstream:
  0001-Do-not-overwrite-existing-event-mask-of-root-window.patch,
  0002-Properly-check-which-OpenGL-features-are-supported.patch,
  0003-Fix-data-race-on-QLoggingCategory-when-using-qDebug-.patch,
  0004-QDBus-fix-data-race-on-isDebugging-bool.patch,
  0005-Translate-Super-Hyper-keys-to-MetaModifier.patch,
  libqt5-avoid-crash-during-querying-device.patch,
  libqt5-fix-leak-with-touch-devices-in-xcb.patch and
  libqt5-listen-to-touch-events-on-the-master-device.patch
- Added protect-geometry-QTBUG-40584.patch, to workaround QTBUG-40584,
  so widget geometry is preserved
- Reorder patches
* Fri Aug 29 2014 mlin@suse.com
- Added upstream patches for bnc#890168
  * libqt5-fix-leak-with-touch-devices-in-xcb.patch, QTBUG-39596
  * * fixed a leak what did not free m_touchDevices.
  * libqt5-listen-to-touch-events-on-the-master-device.patch, QTBUG-38625
  * * listen to touch events on the master device instead of slave, was also
    affects by fdo#78345
  * libqt5-avoid-crash-during-querying-device.patch, QTBUG-40820
  * * avoid crashes if querying device that has gone away
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Added 00010-Replace-the-const-QString-global-static-with-a-QStri.patch,
  fixes segfaulting in global destructor, for more details see:
  http://mail.kde.org/pipermail/kde-frameworks-devel/2014-June/017086.html
- Added 00011-Use-correct-signal-name-when-disconnecting.patch,
  fixes crash on QtDBus unload
* Wed Jun 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.1
  * Bugfix release, for more details please see:
    http://blog.qt.digia.com/blog/2014/06/25/qt-5-3-1-released/
- Drop libqt5-fix-the-modal-dialogs-can-go-behind.patch, merged upstream
- Added patches from upstream:
  0001-Do-not-overwrite-existing-event-mask-of-root-window.patch -- QTBUG-39648
  0002-Properly-check-which-OpenGL-features-are-supported.patch -- QTBUG-39730
  0003-Fix-data-race-on-QLoggingCategory-when-using-qDebug-.patch -- Fix data race on QLoggingCategory
  0004-QDBus-fix-data-race-on-isDebugging-bool.patch -- fix data race on isDebugging bool
  0005-Translate-Super-Hyper-keys-to-MetaModifier.patch -- QTBUG-38428
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Improve baselibs
- Improve situation with rpmlints duplicates warnings
- Make private headers noarch
* Tue May 27 2014 hrvoje.senjan@gmail.com
- Build with pkgconfig(libudev), not pkgconfig(udev)
* Fri May 23 2014 mlin@suse.com
- Fix the modal dialogs can go behind other process windows (QTBUG-35302)
  * libqt5-fix-the-modal-dialogs-can-go-behind.patch
* Thu May 22 2014 tiwai@suse.de
- Fix broken Gujarati rendering (bnc#878292):
  libqt5-Fix-Gujarati-font.patch
* Wed May 21 2014 hrvoje.senjan@gmail.com
- Only enable reducing relocations on x86 and x86_64 arches; fixes
  build for arm, ppc, etc (QTBUG-36129)
* Mon May 19 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 final
  * Minor bugfixes over previous RC
* Sat May 17 2014 hrvoje.senjan@gmail.com
- Disable logging to journald for now, as it creates significant
  performance penalty
- Don't pass /usr/include to qmake, not needed
* Thu May  8 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 RC
  * For more details, please see
  http://blog.qt.digia.com/blog/2014/05/08/qt-5-3-release-candidate-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
- Drop libqt5-add-better-support-for-keymap-update-handling.patch,
  libqt5-fix-build-failure-xcb.patch,
  libqt5-fix-regression-in-key-handling.patch,
  libqt5-improve-keymap-error-handling.patch and
  libqt5-update-bundled-libxkbcommon-version-to-041.patch; merged upstream
* Tue Apr  8 2014 mlin@suse.com
- Add support for byte swapping, bnc#866709
  * Add libqt5-add-support-for-byte-swapping.patch
  * Add libqt5-byte-order-byte-is-address0.patch
- Fix keyboard remapping not applied on Qt5, bnc#866051
  * Add backported libqt5-add-better-support-for-keymap-update-handling.patch
  * Add backported libqt5-improve-keymap-error-handling.patch
  * Add backported libqt5-fix-build-failure-xcb.patch
  * Add backported libqt5-update-bundled-libxkbcommon-version-to-041.patch
  * Add backported libqt5-fix-regression-in-key-handling.patch
* Fri Mar 28 2014 hrvoje.senjan@gmail.com
- The no-neon switch no longer exists with 5.3, so drop it: fixes
  build on arm/aarch64
* Tue Mar 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 beta
  * New feature release, please see
  http://blog.qt.digia.com/blog/2014/03/25/qt-5-3-beta-released/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
- Drop qtbase-qatomic-ppc.patch, merged upstream
- Added f1ee10f81ac18789e9a7dc715b464415ba2bc2b8.patch: prefer QPA
  implementation in qsystemtrayicon_x11 if available
- Added pkgconfig(libsystemd-journal) BuildRequires and activate
  journald support
- Added pkgconfig(xkbcommon-x11) BuildRequires with 13.2+: it's now
  needed for full xkb support, for lower version added xkeyboard-config
  BuildRequires
- Ommit QMAKE_STRIP flags in mkspecs/common/linux.conf, otherwise no
  debuginfo is generated for packages which use qmake buildsystem
- Droped passing of -javascript-jit, as per upstream changes
- Rebase libqt5-libtool-nodate.diff for this release
* Thu Mar 20 2014 hrvoje.senjan@gmail.com
- Added use-freetype-default.patch: allow using lcd-default filter
  regardless of how freetype2 library has been built (w/ & w/o subpixel)
- Build examples (added examples subpackage)
- Make sure that Qt5Gui devel package requires libdrm-devel, as it
  references it's includes in CMake config
* Sat Mar  1 2014 hrvoje.senjan@gmail.com
- Fix wrong libQt5OpenGLExtensions-devel-static requires:
  pkgconfig(GL) -> pkgconfig(gl)
* Thu Feb 27 2014 schwab@suse.de
- Enable jit only on supported archs
* Mon Feb 10 2014 mlin@suse.com
- Update LICENSE files to %%doc
* Wed Feb  5 2014 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/02/05/qt-5-2-1-released/
- Split out (private) devel packages for each library. Also added
  common-devel package, which contains mkspecs, and basic binaries
  (e.g. moc, qmake, rcc, syncqt and uic)
- Only create qt5 symlinks for binaries which conflict with
  Qt4 version
- Remove libtool archives from packages
- Apply conditionals for %%arm also for aarch64
- Removed unneeded or upstreamed patches:
  * 0001-Remove-the-GLES-2-dependency-for-eglfs-and-kms.patch
  * 0002-Fix-configure-script-to-not-dictate-OpenGL-ES-2-when.patch
  * 0003-EGL-convenience-deal-with-DefaultRenderableType-when.patch
  * 0004-Do-not-disable-egl-on-desktop-gl-automatically.patch
  * qt-never-strip.diff
  * qtbase-opensource-src-5.1.1-bigendian.patch
- modified patches:
  * qmake-add-usr-include.diff
* Fri Jan  3 2014 hrvoje.senjan@gmail.com
- Explicitly (Build)Require pkgconfig(harfbuzz) for 13.1+
- Explicitly activate system-harfbuzz, system-freetype and
  fontconfig options
- Drop clucene-core-devel and giflib-devel Build(Requires): unused
- Drop pkgconfig(atspi-2) (Build)Requires: external libatspi2 is not
  used during build time (see qtbase commit 4c1c820)
* Thu Dec 12 2013 uweigand@de.ibm.com
- Do not force -javascript-jit on ppc platforms that do not support it.
* Thu Dec 12 2013 hrvoje.senjan@gmail.com
- Update to 5.2.0 final:
  * For more details please see:
    http://blog.qt.digia.com/blog/2013/12/12/qt-5-2-released-the-best-qt-yet/
    http://qt-project.org/qt5/qt52
    http://qt.digia.com/Product/Whats-New/Qt-52/
* Wed Dec  4 2013 hrvoje.senjan@gmail.com
- Import patches from upstream which make possible to build EGL
  support without requiring GLES2:
  0001-Remove-the-GLES-2-dependency-for-eglfs-and-kms.patch
  0002-Fix-configure-script-to-not-dictate-OpenGL-ES-2-when.patch
  0003-EGL-convenience-deal-with-DefaultRenderableType-when.patch
  0004-Do-not-disable-egl-on-desktop-gl-automatically.patch
- Enable EGL support by adding (Build)Requiring pkgconfig(egl)
* Fri Nov 29 2013 hrvoje.senjan@gmail.com
- Update to 5.2 rc1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/11/29/qt-5-2-release-candidate-1-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Droped xcb_193.patch, included in this release
- Drop gstreamer-0_10-plugins-base-devel BuildRequires, nothing in
  qtbase uses gstreamer, and config tests where false positive before
- Temporary disable qt-never-strip.diff, we can use configure flags
  for no-strip
* Wed Nov 27 2013 hrvoje.senjan@gmail.com
- Added xcb_193.patch from upstream, for resolving SiC and BiC change
  in xcb 1.9.2/3 (fdo#71502,fdo#71507,qtbug#34748)
* Wed Nov  6 2013 hrvoje.senjan@gmail.com
- Fix translations macro
* Thu Oct 24 2013 hrvoje.senjan@gmail.com
- gstreamer-0_10-plugins-base-devel are not required for devel
  subpackage, so remove the Requires
* Wed Oct 23 2013 hrvoje.senjan@gmail.com
- Update to 5.2 beta1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/10/23/qt-5-2-beta-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Change obsoletes of new library and sql plugins packages
* Fri Oct 18 2013 hrvoje.senjan@gmail.com
- Added qtbase-opensource-src-5.1.1-bigendian.patch, also needed
  for building on PowerPC, otherwise fromWordToBytes is
  left undeclared
* Fri Oct 18 2013 hrvoje.senjan@gmail.com
- Added qtbase-qatomic-ppc.patch, fixes PowerPC build
* Wed Oct 16 2013 hrvoje.senjan@gmail.com
- Further split libqt5-qtbase package to libQt5Concurrent5,
  libQt5Core5, libQt5DBus5, libQt5Network5, libQt5Xml5,
  libQt5PrintSupport5 and libQt5OpenGL5
- Rename sql plugin subpackages for more consistent naming with the
  rest of libraries
- Apply the same solution as with Qt4 with regards to rebuilds:
  don't use current build date, but rather last changes date
* Fri Oct  4 2013 hrvoje.senjan@gmail.com
- Add convenient macros for packages building against Qt5:
  %%_libqt5_qmake, %%qmake5, %%make_jobs and %%qmake5_install
* Thu Sep 12 2013 hrvoje.senjan@gmail.com
- Added missing pkgconfig(xkbcommon) BuildRequires
- Drop checks for older openSUSE versions
- Enable GL ES and kms only on arm for now
* Thu Sep  5 2013 duwe@suse.com
- enable support for opengl es2 and kms
* Thu Aug 29 2013 hrvoje.senjan@gmail.com
- Update to version 5.1.1:
  * Bugfix release, please see
  http://blog.qt.digia.com/blog/2013/08/28/qt-5-1-1-released/
  http://qt.gitorious.org/qt/qtbase/blobs/release/dist/changes-5.1.1
  and http://qt-project.org/wiki/Qt511KnownIssues for known issues
- Small spec cleanup
- Explicitly activate desktop openGL, and only BuildRequire
  pkgconfig(gl) so whole Mesa stack isn't pulled
* Sat Aug  3 2013 tittiatcoke@gmail.com
- Adjust packaging naming conform Factory standards
* Sun Jul  7 2013 hrvoje.senjan@gmail.com
- Allow co-existance of Qt5 and Qt4:
  * Install headers in %%_includedir/qt5
  * Install binaries in %%_libdir/qt5/bin, create symlinks with -qt5
    suffixes in %%_libdir/qt5/bin and %%_bindir
- Spec cleanup:
  * Removed checks for obsolete opensuse versions
- Add new macros.qt5, which should be utilized for other Qt5 modules
- Added baselibs.conf
* Sun Jul  7 2013 stephan.binner@basyskom.com
- update to Qt 5.1 release
* Tue Jun 18 2013 stephan.binner@basyskom.com
- update to Qt 5.1 RC 1
* Mon May 20 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Beta 1
* Tue Apr  9 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Alpha 1
* Fri Mar 29 2013 stephan.binner@basyskom.com
- update to Qt 5.0.2 RC1
* Wed Jan 30 2013 stephan.binner@basyskom.com
- update to Qt 5.0.1
* Wed Dec 19 2012 stephan.binner@basyskom.com
- update to Qt 5.0 release
* Thu Dec 13 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 2
* Thu Dec  6 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 1
* Thu Nov 15 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 2
* Thu Aug 30 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 1 release
* Thu May 24 2012 stephan.binner@basyskom.com
- update to newer Alpha snapshot / Beta candidate
* Fri Apr 13 2012 stephan.binner@basyskom.com
- rework package splitting for Qt 5 modularization
* Thu Apr  5 2012 dmueller@suse.com
- Initial packaging (Qt 5.0 Alpha)
